<form (ngSubmit)="onSubmit()" [formGroup]="OptionalTextForm">
  <div mat-dialog-content>
    <mat-card-subtitle class="text-mat-modal">Producto: {{this.data['sku']}}</mat-card-subtitle>
    <div id="inner" align="center">
      <button mat-icon-button (click)="giveValue(1)">
        <mat-icon aria-label="" [ngStyle]="{color: markMore}" >add</mat-icon>
      </button>
      <button mat-icon-button (click)="giveValue(2)">
        <mat-icon aria-label="" [ngStyle]="{color: markLess}">remove</mat-icon>
      </button>
      <button mat-icon-button (click)="giveValue(0)">
        <mat-icon aria-label="" [ngStyle]="{color: markNew}" >star</mat-icon>
      </button>
    </div>


    <mat-form-field class="example-full-width full-width" style="width:100%  !important; margin-top: 0%">
      <textarea matInput formControlName="optional" #optional maxlength="200" placeholder="Texto Opcional" value="{{data['optionalText']}}" [errorStateMatcher]="matcher"></textarea>
      <mat-hint align="start"><strong>Ingrese texto opcional</strong> </mat-hint>
      <mat-hint align="end">{{optional.value.length}} / 200</mat-hint>
      <mat-error *ngIf="OptionalTextForm.get('optional').invalid && OptionalTextForm.get('optional').errors.required && OptionalTextForm.get('optional').dirty">
        Ingrese el texto opcional
      </mat-error>
    </mat-form-field>
  </div>
  <div mat-dialog-actions align="center">
    <button mat-button (click)="onNoClick()" type="button">Cerrar</button>
    <button mat-raised-button type="submit" color="warn" cdkFocusInitial>Guardar texto opcional</button>
  </div>
</form>
